Subject: [rbridge] Draft Minneapolis minutes

From: michsmit at cisco.com (Michael Smith (michsmit))
Date: Fri, 8 Apr 2005 14:44:09 -0700

Erik,
My apologies, I went back and looked at the presentation.  The text
should not be removed.  It is as presented.  In the meeting, I raised
the point that the text is technically incorrect (meaning reordering is
not only during network topology changes).  My point below is that which
was discussed in the meeting when it was presented.

Thanks,
Michael

> -----Original Message-----
> From: rbridge-bounces at postel.org 
> [mailto:rbridge-bounces at postel.org] On Behalf Of Erik Nordmark
> Sent: Friday, April 08, 2005 2:05 PM
> To: Developing a hybrid router/bridge.
> Subject: Re: [rbridge] Draft Minneapolis minutes
> 
> Michael Smith (michsmit) wrote:
> 
> >>Goals:
> >>zero configuration,
> >>hosts can move without changing IP address, use best 
> pair-wise paths 
> >>and be able to load split, maybe optimize ARP / ND (don't always 
> >>flood), secure ND, hop count to reduce damage from loops, multiple 
> >>external attachment point support, no delay for new host 
> attachment, 
> >>support for multicast, to be no less secure than existing 
> bridges, no 
> >>changes to hosts, routers, or L2 bridges, support non-IP protocols, 
> >>handle IPv4&6, maybe interconnect different L2 technologies.
> >>There are lots of questions about mobility, which goals are high 
> >>level, etc.
> >>LAN Service is:
> >>broadcast domain,
> >>small probability of reordering and duplication (basically 
> only when 
> >>topology changes),
> > 
> > 
> > The text "basically only when topology changes" should be removed.
> > 
> > Rbridging will reorder during a stable topology.  The reordering in 
> > rbridges happens when learning occurs.  This is independent of 
> > topology changes.
> 
> Michael,
> 
> I don't understand the nature of your comment. The above are 
> notes from the presentation about the goals of TRILL. So are 
> you saying that 1. The minutes are incorrect, because that 
> presentation said something different?
> 2. That the goals are unreasonable and a WG should have 
> different goals?
> 3. That a particular proposed solution for TRILL might not 
> satisfy the goals?
> 
> Only #1 would be appropriate comments on the minutes, since 
> their purpose is to record what was presented/discussed at 
> the meeting.
> 
> > The point argued is that with today's rapid spanning tree there is 
> > only a remote chance of reordering and that is only during 
> a topology change.
> > Traditional spanning tree has no such reordering 
> whatsoever.  Learning 
> > occurs much more frequently as the L2 tables reach capacity due to 
> > churn of entries.  This would cause rbridges to reorder more 
> > frequently as the
> > L2 tables reach capacity (still a stable network topology).  The 
> > discussion was questioning whether the probability can be viewed as 
> > small.
> 
> This sure sounds like you are making point #3 above.
> 
>    Erik
> _______________________________________________
> rbridge mailing list
> rbridge at postel.org
> http://www.postel.org/mailman/listinfo/rbridge
>